Hide actions that cannot be used when pool is locked and display unlock button when pool is locked
Status: Done   

Priority: No priority   
Category: GUI (new)   

Target version: 11.2-BETA3   

Seen in: Master - FreeNAS Nightlies Needs Merging: No

Severity: New Needs Automation: No

Reason for Closing:  Support Suite Ticket: n/a

Reason for Blocked:  Hardware

Configuration:

 

Needs QA: No ChangeLog

Required:

No

Needs Doc: No   

Description

Seen on a FreeNAS system updated to FreeNAS-11.2-MASTER-201807261941.

I went to Storage/Pools and expanded the entry for locked pool "lock-test". After clicking the "Gear" icon (Pool Operations), there are

options to Detach, Extend, Scrub Pool, and Status. Clicking "Scrub Pool" closes the "Gear" icon menu and does nothing else. I'm

guessing this does nothing because the pool is locked. If so, could this option be made either invisible or greyed out so it isn't even

presented as a valid option for a locked pool? "Status" has the same problem, clicking it goes to a screen that presents no

substantive information, as the disk is locked. This option should probably be greyed out as well.

The "Lock" icon (Encryption Operations) for a locked pool has a single option when clicked: "Un-Lock". Clicking it opens a popup

window to unlock the pool. At minimum, this entry should be reworded: "Unlock Pool". A better solution is to just open the "Unlock

Pool" popup window when the "Lock" icon is clicked. This would improve the user experience.

General design suggestion: When a UI icon has a single option, clicking the icon should immediately go to that option. The icon

tooltip should show that option. This removes unneeded menus and clicks from the UI.

Associated revisions

Revision 500b295e - 08/16/2018 04:38 PM - Erin Clark

Hide actions that cannot be used when pool is locked and convert lock menu to unlock button when pool is locked

Ticket: #39842

History

#1 - 07/27/2018 06:31 AM - Dru Lavigne

- Target version changed from Backlog to 11.2-BETA3

#3 - 08/16/2018 10:15 AM - Erin Clark

- Assignee changed from Erin Clark to Dennis Mullen

#4 - 08/16/2018 10:17 AM - Erin Clark

- Assignee changed from Dennis Mullen to Erin Clark

#5 - 08/16/2018 04:42 PM - Erin Clark

This page still needs to be redesigned but this PR at least tries to tackle the fixes described in this ticket:
https://github.com/freenas/webui/pull/1161

#6 - 08/16/2018 04:43 PM - Erin Clark

- Status changed from Unscreened to In Progress

#7 - 08/17/2018 01:04 AM - Dru Lavigne

- Subject changed from Storage/Pools: Adjust visibility of options for a locked pool. to Hide actions that cannot be used when pool is locked and

display unlock button when pool is locked

#8 - 08/17/2018 10:58 AM - Erin Clark

- Status changed from In Progress to Ready for Testing

#9 - 08/17/2018 05:13 PM - Dru Lavigne

- Needs Merging changed from Yes to No

#10 - 08/27/2018 10:00 AM - Aaron St. John

- File locked_pool.png added

Tested on FreeNAS-11.2-MASTER-201808270839

See screenshot.

I'm waiting to change docs. After speaking with Tim, he said that he made some changes to the docs about locking pools. I will wait until his changes

are merged before I make substantive changes to them also.

#11 - 08/27/2018 10:12 AM - Aaron St. John

- Status changed from Ready for Testing to Passed Testing

- Needs QA changed from Yes to No

#12 - 08/28/2018 08:57 AM - Aaron St. John

- Needs Doc changed from Yes to No

After review the work that was merged in from Tim's PR, it appeared everything was good to go in docs.

(docs) Angulargui branch (Tim's) PR: https://github.com/freenas/freenas-docs/pull/318

and https://github.com/freenas/freenas-docs/pull/331

#13 - 08/28/2018 01:51 PM - Dru Lavigne

- Status changed from Passed Testing to Done

Files

locked-pool-options.png 67.9 KB 07/27/2018 Timothy Moore II

locked-pool-Un-Lock-option.png 69.4 KB 07/27/2018 Timothy Moore II

locked_pool.png 131 KB 08/27/2018 Aaron St. John
